-- 基础信息
base_info = {
	group_id = 247004010
}

-- DEFS_MISCS
local GroupId = 247004010
local point_id_list = {}
local MainGroupID = 247004001
local RegionID = 10001

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
}

-- 区域
regions = {
	{ config_id = 10001, shape = RegionShape.CUBIC, size = { x = 40.000, y = 25.000, z = 40.000 }, pos = { x = 0.032, y = 0.050, z = 320.009 } }
}

-- 触发器
triggers = {
	{ config_id = 1010001, name = "ENTER_REGION_10001", event = EventType.EVENT_ENTER_REGION, source = "", condition = "", action = "" }
}

-- 点位
points = {
	{ config_id = 10002, pos = { x = -3.902, y = 0.107, z = 327.677 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 10003, pos = { x = 4.182, y = 0.105, z = 327.623 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 10004, pos = { x = 0.077, y = 0.101, z = 328.567 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 10005, pos = { x = -7.079, y = 0.121, z = 326.461 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 2 },
	{ config_id = 10006, pos = { x = 7.141, y = 0.115, z = 326.021 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 2 },
	{ config_id = 10007, pos = { x = -8.299, y = 0.105, z = 323.740 }, rot = { x = 0.000, y = 110.000, z = 0.000 }, tag = 2 },
	{ config_id = 10008, pos = { x = 8.809, y = 0.110, z = 323.755 }, rot = { x = 0.000, y = 250.000, z = 0.000 }, tag = 2 },
	{ config_id = 10009, pos = { x = -8.550, y = 0.100, z = 320.034 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 10010, pos = { x = 8.910, y = 0.108, z = 320.050 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 2 },
	{ config_id = 10011, pos = { x = 0.112, y = 0.115, z = 328.107 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 10012, pos = { x = -5.674, y = 0.126, z = 327.175 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 4 },
	{ config_id = 10013, pos = { x = 5.803, y = 0.100, z = 327.140 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 4 },
	{ config_id = 10014, pos = { x = -8.617, y = 0.108, z = 322.495 }, rot = { x = 0.000, y = 100.000, z = 0.000 }, tag = 4 },
	{ config_id = 10015, pos = { x = 8.933, y = 0.106, z = 322.501 }, rot = { x = 0.000, y = 260.000, z = 0.000 }, tag = 4 },
	{ config_id = 10016, pos = { x = -8.603, y = 0.102, z = 317.611 }, rot = { x = 0.000, y = 80.000, z = 0.000 }, tag = 4 },
	{ config_id = 10017, pos = { x = 8.839, y = 0.101, z = 317.666 }, rot = { x = 0.000, y = 280.000, z = 0.000 }, tag = 4 },
	{ config_id = 10018, pos = { x = -5.625, y = 0.100, z = 312.943 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, tag = 4 },
	{ config_id = 10019, pos = { x = 5.733, y = 0.100, z = 312.859 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 4 },
	{ config_id = 10020, pos = { x = 0.014, y = 0.100, z = 312.064 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 },
	{ config_id = 10021, pos = { x = -7.102, y = 0.142, z = 327.191 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 8 },
	{ config_id = 10022, pos = { x = 7.178, y = 0.117, z = 327.194 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 8 },
	{ config_id = 10023, pos = { x = -7.100, y = 0.100, z = 312.840 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, tag = 8 },
	{ config_id = 10024, pos = { x = 7.101, y = 0.100, z = 312.918 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 8 },
	{ config_id = 10025, pos = { x = 0.203, y = 0.117, z = 327.439 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 10026, pos = { x = 0.005, y = 0.100, z = 312.682 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 10027, pos = { x = -8.077, y = 0.101, z = 320.013 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 8 },
	{ config_id = 10028, pos = { x = 8.299, y = 0.104, z = 319.978 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 8 },
	{ config_id = 10029, pos = { x = -7.972, y = 0.102, z = 315.948 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, tag = 8 },
	{ config_id = 10030, pos = { x = 7.996, y = 0.109, z = 323.387 }, rot = { x = 0.000, y = 240.000, z = 0.000 }, tag = 8 },
	{ config_id = 10031, pos = { x = 3.435, y = 0.100, z = 312.365 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 8 },
	{ config_id = 10032, pos = { x = -3.817, y = 0.126, z = 327.287 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 8 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { 10001 },
		triggers = { "ENTER_REGION_10001" },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_2/RogueDungeon_Require"
